.logo {
  max-height: 50px;
  transition: all 0.3s;
}

@media (min-width: 992px) {
  .logo {
    max-height: 50px;
  }
}

.menu-fixed .logo {
  max-height: 40px;
  transition: all 0.3s;
}

.navbar-light.bg-light #main-menu li.current-menu-item,
.navbar-light.bg-light #main-menu li:hover {
  border-bottom: 1px solid #000;
}

#main-menu li.menu-item a {
  font-size: 20px;
}

@media (min-width: 992px) {
  .navbar-expand-lg .navbar-nav{
    min-width: 680px;
  }
  .navbar-expand-lg .navbar-nav .nav-link {
      padding-right: 0;
      padding-left: 0;
  }
}

.navbar-dark #main-menu li.menu-item a {
  color: #fff;
  opacity: 1;
}

.navbar-dark #main-menu li.current-menu-item a,
.navbar-dark #main-menu li:hover a {
  opacity: 0.5;
  color: rgba(255, 255, 255, 1);
}

.navbar-light #main-menu li.menu-item a {
  color: #000;
  opacity: 1;
}

.navbar-light #main-menu li.current-menu-item a,
.navbar-light #main-menu li:hover a {
  opacity: 0.5;
  color: rgba(0, 0, 0, 1);
}

.navbar-dark .logo-dark {
  display: none;
}

.navbar-light .logo-light {
  display: none;
}

.bg-light {
  background-color: #fff !important;
}

.bg-dark {
  background: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.5),
    rgba(0, 0, 0, 0)
  ) !important;
}

.navbar-light.menu-fixed {
  background-color: rgba(255, 255, 255, 0.8);
}

.navbar-dark.menu-fixed {
  background-color: rgba(0, 0, 0, 0);
}

/* collapse-right 增加在nav上与navbar-collapse collapse同时使用 手机版（侧边出）样式菜单*/

@media (max-width: 992px) {
  .navbar .navbar-collapse.collapse-right {
    padding-top: 80px;
    padding-left: 20px;
    padding-right: 20px;
    height: 100% !important;
    position: fixed;
    top: 0;
    bottom: 0;
    background-color: #fff;
    right: 0;
    display: block;
    transition: all 0.3s ease-out;
    transform: translateX(100%);
  }
}

.navbar .collapse.collapse-right.show {
  right: 0;
  transition: all 0.3s ease-out;
  transform: translateX(0);
}

.navbar .navbar-toggler:focus {
  box-shadow: none;
}

/* navbar dark fix */
.navbar.navbar-dark .ddl-switch {
  color: rgba(255, 255, 255, 0.5);
}

.dropdown-menu {
  font-size: inherit;
}

.navbar-dark .dropdown-menu {
  background-color: transparent;
}

.navbar-dark .dropdown-item {
  color: rgba(255, 255, 255, 0.5);
}

@media (min-width: 992px) {
  .navbar-dark .dropdown-menu {
    background-color: rgba(0, 0, 0, 0.9);
  }

  .navbar-dark .dropdown-item {
    color: rgba(255, 255, 255, 0.9);
  }

  .navbar-dark .dropdown-item:hover,
  .navbar-dark .dropdown-item:focus {
    color: #fff;
    background-color: #000;
  }
}

@media (min-width: 992px) {
  .navbar .ddl-switch {
    display: none !important;
  }

  .dropdown-toggle::after {
    content: none;
  }

  .navbar ul li > .dropdown-menu {
    border: none;
    border-radius: 0;
    opacity: 0;
    top: 0;
    display: block;
    margin: 0;
    padding: 0;
    min-width: 160px;
    max-width: 160px;
    transition: all 0.17s ease-in-out;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
    transform: rotateX(-90deg);
    -webkit-transform: rotateX(-90deg);
  }

  .navbar .navbar-nav li .dropdown-menu > li > a {
    font-size: 13px;
    padding: 10px 20px;
    transition: all 0.5s ease 0s;
  }

  .navbar .navbar-nav li .dropdown-menu > li:last-child > a {
    border-bottom: 0;
  }

  .navbar .navbar-nav li.dropdown:hover > .dropdown-menu {
    visibility: visible;
    opacity: 1;
    transform: rotateX(0deg);
    -webkit-transform: rotateX(0deg);
    transition: transform 0.4s, opacity 0.1s;
  }

  .navbar .navbar-collapse ul.navbar-nav > li > .dropdown-menu {
    margin-top: 10px;
    top: 100%;
  }

  .navbar .navbar-collapse > ul > li:last-child > .dropdown-menu,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) > .dropdown-menu {
    left: auto;
    right: 0;
  }

  .navbar ul > li .dropdown-menu ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child > .dropdown-menu,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) > .dropdown-menu,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul {
    left: auto;
  }

  .navbar ul > li > .dropdown-menu,
  .navbar ul > li .dropdown-menu ul,
  .navbar ul > li .dropdown-menu ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul {
    right: auto;
  }

  .navbar ul > li .dropdown-menu ul,
  .navbar ul > li .dropdown-menu ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul {
    left: 100%;
  }

  .navbar ul > li .dropdown-menu ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul,
  .navbar ul > li .dropdown-menu ul ul ul ul ul ul ul ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul,
  .navbar .navbar-collapse > ul > li:last-child .dropdown-menu ul ul ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:last-child
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul,
  .navbar .navbar-collapse > ul > li:nth-last-child(2) .dropdown-menu ul ul ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul,
  .navbar
    .navbar-collapse
    > ul
    > li:nth-last-child(2)
    .dropdown-menu
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul
    ul {
    right: 100%;
  }
}

.navbar .navbar-nav > li > a {
  transition: all 1s ease 0s;
}
@media (max-width: 991px) {
  .navbar .collapse.show {
    display: block;
    overflow-y: auto;
  }
  .navbar .navbar-toggler {
    border: none;
    border-radius: 0;
    font-size: 20px;
    padding: 0;
    z-index: 1;
    outline: none;
    padding-right: 0;
    cursor: pointer;
  }

  .navbar .navbar-toggler .line {
    display: flex;
    width: 2.2rem;
    height: 2px;
    background: rgba(0, 0, 0, 0.9);
    transition: all 0.3s ease-out;
    animation: resize 1.3s ease-in-out infinite alternate !important;
    animation-duration: 1.3s !important;
    animation-timing-function: ease-in-out !important;
    animation-delay: 0s !important;
    animation-iteration-count: infinite !important;
    animation-direction: alternate !important;
    animation-fill-mode: none !important;
    animation-play-state: running !important;
    animation-name: resize !important;
  }

  .navbar.navbar-dark .navbar-toggler .line {
    background: rgba(255, 255, 255, 0.9);
  }

  .navbar .navbar-toggler .second-line {
    margin: 0.5rem 0;
  }

  .navbar-toggler[aria-expanded="true"] .first-line {
    transform: rotate(25deg) translate3d(0.5rem, 0.5rem, 0);
    transform-origin: center;
  }

  .navbar-toggler[aria-expanded="true"] .second-line {
    transform: scale3d(0, 1, 1);
  }

  .navbar-toggler[aria-expanded="true"] .third-line {
    transform: rotate(-25deg) translate3d(0.5rem, -0.5rem, 0);
    transform-origin: center;
  }

  .navbar .ddl-switch {
    cursor: pointer;
    font-size: 18px;
    padding: 2px 6px;
    position: absolute;
    right: 0;
    top: 9px;
    z-index: 100;
  }

  .navbar .ddl-active > .ddl-switch:before {
    content: "\F286";
  }

  .navbar .navbar-nav > li.dropdown .dropdown-toggle::after {
    display: none;
  }

  .navbar .dropdown-menu {
    border: 0;
  }

  .navbar .navbar-nav > li:last-of-type {
    margin-bottom: 15px;
  }
}

/* 弹出搜索，搜索模式为输入框，可以将此代码注释 */
.search-fullscreen-wrapper {
  position: fixed;
  background: rgba(0, 0, 0, 0.8);
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  color: #ffffff;
  z-index: 10000;
  display: none;
}

.search-fullscreen-wrapper .search-fullscreen-form {
  margin: 0 auto;
  margin-top: 300px;
  display: table;
}

.search-close-btn {
  position: absolute;
  top: 50px;
  right: 50px;
  cursor: pointer;
}

@media (min-width: 992px) {
  .search-close-btn {
    top: 100px;
    right: 100px;
  }
}

.search-fullscreen-wrapper .search-fullscreen-form input[type="search"] {
  font-size: 20px;
  line-height: 35px;
  height: auto;
  color: #ffffff;
  background: none;
  border: none;
  border-bottom: 3px solid #ffffff;
  padding-left: 10px;
  padding-right: 0;
  width: 700px;
  outline: none;
}

.search-fullscreen-wrapper .search-fullscreen-form #searchsubmit {
  display: none;
}

.search-fullscreen-wrapper .search-fullscreen-form input::placeholder {
  color: rgba(255, 255, 255, 0.6) !important;
}

.search-close-btn i {
  font-size: 28px;
}

@media (min-width: 992px) {
  .navbar .main-menu {
    padding-top: 20px;
    padding-bottom: 20px;
  }

  .navbar.fixed-top .main-menu {
    padding-top: 0px;
    padding-bottom: 0px;
  }

  /* .navbar #main-menu li.menu-item a{
    padding-right: calc(var(--bs-navbar-nav-link-padding-x) * 2);
  } */
  .navbar #main-menu li.menu-item a::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    z-index: 10;
    transform: translateY(-50%);
    transition: all 0.3s ease-out;
    width: 12px;
    height: 12px;
    display: block;
  }

  .navbar #main-menu li.menu-item:hover a::before,
  .navbar #main-menu li.menu-item a:hover::before{
    transition: all 0.3s ease-out;
    transform: translateY(-50%) rotate(45deg);
  }

  /* .navbar-light #main-menu li.menu-item a::before {
    background: url("../images/up-right-arrow.svg") no-repeat center / contain;
  } */

  /* .navbar-dark #main-menu li.menu-item a::before {
    background: url("../images/up-right-arrow-white.svg") no-repeat center / contain;
  } */
}

#main-menu li.menu-item {
  font-size: 18px;
  position: relative;
}


